2019-08-24 00:58 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005448Spring engineGeneralpublic2017-02-04 11:10
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target VersionFixed in Version103.0 +git 
Summary0005448: 103.0.1-566-g670e0d4 win 32 crash on screenshot
DescriptionWindows 32 now crashes on screenshot.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files
  • txt file icon infolog.txt (75,172 bytes) 2017-02-02 07:55 -
    Using configuration source: "C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\springsettings.cfg"
    Using additional configuration source: "C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\springsettings.cfg"
    ============== <User Config> ==============
    AllowDeferredMapRendering = 1
    AllowDeferredModelRendering = 1
    BumpWaterAnisotropy = 2
    BumpWaterBlurReflection = 1
    BumpWaterDepthBits = 16
    BumpWaterReflection = 2
    BumpWaterShoreWaves = 0
    BumpWaterTexSizeReflection = 128
    CamMode = 1
    CubeTexSizeReflection = 256
    CubeTexSizeSpecular = 256
    DisableDemoVersionCheck = 1
    DualScreenMiniMapOnLeft = 1
    EdgeMoveDynamic = 0
    EdgeMoveWidth = 0.003
    FPSFOV = 90
    FSAALevel = 2
    Fullscreen = 0
    GroundDetail = 100
    GroundScarAlphaFade = 1
    HangTimeout = 0
    HardwareCursor = 1
    InitialNetworkTimeout = 0
    InputTextGeo = 0.26 0.73 0.02 0.028
    LoadingMT = 1
    MaxParticles = 20000
    MaxSounds = 32
    MaximumTransmissionUnit = 0
    MiddleClickScrollSpeed = -0.001
    MouseDragScrollThreshold = 0
    OverheadScrollSpeed = 50
    ReconnectTimeout = 0
    RotateLogFiles = 1
    ScreenshotCounter = 201
    ScrollWheelSpeed = -25
    Shadows = 1
    ShowClock = 0
    ShowFPS = 1
    ShowPlayerInfo = 0
    ShowSpeed = 1
    SmoothLines = 1
    SmoothPoints = 1
    TreeRadius = 1000
    UnitIconDist = 151
    UnitLodDist = 9999
    UsePBO = 0
    Water = 4
    WindowPosX = 390
    WindowPosY = 123
    WindowState = 0
    WorkerThreadCount = 0
    XResolution = 1920
    XResolutionWindowed = 1140
    YResolution = 1080
    YResolutionWindowed = 733
    snd_volmaster = 22
    ============== </User Config> ==============
    Available log sections: RoamMeshDrawer, AutohostInterface, CregSerializer, KeyBindings, BumpWater, CSMFGroundTextures, ModelRenderContainer, GroundMoveType, Sound, VFS, Texture, FarTextureHandler, Net, DynWater, SkyBox, Model, ArchiveScanner, Shader, Piece, GameServer, DecalsDrawerGL4, Path, LuaSocket, Font, OBJParser
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 103.0.1-566-g670e0d4 develop
    Build Environment: boost-105500, GNU libstdc++ version 20130531
    Compiler Version:  gcc-4.8.1
    Operating System:  Microsoft Windows
    Microsoft Business Edition, 64-bit (build 9200)
    Intel(R) Core(TM) i7-3930K CPU @ 3.20GHz; 16303MB RAM, 32687MB pagefile
    Word Size:         32-bit (emulated)
             CPU Clock: std::chrono::high_resolution_clock
    Physical CPU Cores: 6
     Logical CPU Cores: 12
    [good_fpu_init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    [GL::PrintAvailableResolutions]
    	display: 1, bounds: {x=0, y=0, w=1920, h=1080}, FS modes:
    		[ 1] 1920x1080x24bpp@60Hz
    		[ 2] 1680x1050x24bpp@60Hz
    		[ 3] 1680x1050x24bpp@59Hz
    		[ 4] 1600x1024x24bpp@60Hz
    		[ 5] 1600x1024x24bpp@59Hz
    		[ 6] 1600x900x24bpp@60Hz
    		[ 7] 1600x900x24bpp@59Hz
    		[16] 1280x800x24bpp@75Hz
    		[17] 1280x800x24bpp@60Hz
    		[20] 1280x720x24bpp@75Hz
    		[21] 1280x720x24bpp@60Hz
    	display: 2, bounds: {x=1920, y=0, w=1920, h=1080}, FS modes:
    		[ 1] 1920x1080x24bpp@60Hz
    		[ 2] 1920x1080x24bpp@59Hz
    		[ 3] 1680x1050x24bpp@60Hz
    		[ 4] 1680x1050x24bpp@59Hz
    		[ 5] 1600x1024x24bpp@60Hz
    		[ 6] 1600x1024x24bpp@59Hz
    		[ 7] 1600x900x24bpp@60Hz
    		[ 8] 1600x900x24bpp@59Hz
    		[17] 1280x800x24bpp@75Hz
    		[18] 1280x800x24bpp@60Hz
    		[21] 1280x720x24bpp@75Hz
    		[22] 1280x720x24bpp@60Hz
    [GL::LoadExtensions]
    	SDL version:  linked 2.0.4; compiled 2.0.4
    	GL version:   4.5.0 NVIDIA 375.95
    	GL vendor:    NVIDIA Corporation
    	GL renderer:  GeForce GTX 1060 6GB/PCIe/SSE2
    	GLSL version: 4.50 NVIDIA
    	GLEW version: 1.5.8
    	Video RAM:    total 6144MB, available 5441MB
    	SwapInterval: 1
    [GR::PostInit]
    	ARB support: 1, GLSL support: 1, ATI hacks: 0
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 1
    	primitive-restart support: 1, clip-control support: 0
    	max. FBO samples: 32, max. texture size: 32768, compress MIP-map textures: 0
    	max. smooth point-size: 190, max. vec4 varyings/attributes: 31/16
    	max. draw-buffers: 8, max. recommended indices/vertices: 1048576/1048576
    	max. buffer-bindings: 84, max. block-size: 64kB
    VSync disabled
    [InitOpenGL] video mode set to 1140x733:24bit @75Hz (windowed)
    [WatchDog::Install] disabled
    [WatchDog::RegisterThread] registering controls for thread [main]
    [DataDirs] Isolation Mode!
    Using read-write data directory: C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\
    Using read-only data directory: C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\
    Scanning: C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\base
    Scanning: C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\maps
    Scanning: C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\games
    Scanning: C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\packages
    [~ScopedOnceTimer][CArchiveScanner::ScanAllDirs] 20ms
    [ThreadPool::SetThreadCount][1] wanted=0 current=1 maximum=6
    	[async=0] threads=1 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    	[async=1] threads=1 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [ThreadPool::SetThreadCount][2] workers=0
    [Threading] Main thread CPU affinity mask set: 4095
    [f=-000001] [Sound] [Sound::InitThread] OpenAL info:
    [f=-000001] [Sound]   Available Devices:
    [f=-000001] [Sound]               Speakers (4- USB Audio Device)
    [f=-000001] [Sound]               Realtek Digital Output (Realtek High Definition Audio)
    [f=-000001] [Sound]               Realtek Digital Output(Optical) (Realtek High Definition Audio)
    [f=-000001] [Sound]               Speakers (4- USB Audio Device)
    [f=-000001] [Sound]   Device:     OpenAL Soft
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.16.0
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
    [f=-000001] [Sound]   Max Sounds: 32
    [f=-000001] [Sound] Error:   EFX: AL_INVALID_VALUE (40963)
    [f=-000001] [Sound] Error:   Initializing EFX failed!
    [f=-000001] [Sound] [Sound::UpdateThread][1] maxSounds=32
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [audio]
    [f=-000001] [Sound] [Sound::UpdateThread][2]
    [f=-000001] Joysticks found: 0
    [f=-000001] [LuaMenuController::Reset] using menu archive "Chobby $VERSION"
    [f=-000001] LuaMenu Entry Point: "LuaMenu/main.lua"
    [f=-000001] [LuaMenu] Searching for new Widgets
    [f=-000001] [LuaMenu] Scanning: LuaMenu/Addons/
    [f=-000001] [LuaMenu] Scanning: LuaMenu/Widgets/
    [f=-000001] [LuaMenu] Scanning: LuaMenu/SystemAddons/
    [f=-000001] [LuaMenu] Scanning: LuaMenu/SystemWidgets/
    [f=-000001] [LuaMenu] Scanning: LuaMenu/chili/
    [f=-000001] [LuaMenu] Scanning: libs/chilifx/LuaMenu/widgets
    [f=-000001] [LuaMenu] Scanning: libs/chilivn/LuaMenu/widgets
    [f=-000001] [LuaMenu] Scanning: libs/chotify/LuaMenu/widgets
    [f=-000001] [LuaMenu] Scanning: libs/i18n/LuaMenu/widgets
    [f=-000001] [LuaMenu] Scanning: libs/liblobby/LuaMenu/widgets
    [f=-000001] [LuaMenu] Warning: Missing GetInfo() in: json.lua
    [f=-000001] [LuaMenu] Warning: Missing GetInfo() in: tablefunctions.lua
    [f=-000001] [LuaMenu] Warning: Missing GetInfo() in: timefunctions.lua
    [f=-000001] [LuaMenu] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=-000001] [LuaMenu] Loading API widget:  Limit FPS              <api_limit_fps.lua>
    [f=-000001] [LuaMenu] Loading API widget:  Away Tracker           <gui_away_tracker.lua>
    [f=-000001] [LuaMenu] Loading API widget:  Chili Framework        <api_chili.lua>
    [f=-000001] [LuaMenu] Loading API widget:  LibLobby API           <api_lobby.lua>
    [f=-000001] TableEcho = {
    [f=-000001]     serverAddress = zero-k.info
    [f=-000001]     serverName = Zero-K
    [f=-000001]     ZKServer = true
    [f=-000001] },
    [f=-000001] [LuaMenu] Loading API widget:  i18n                   <api_i18n.lua>
    [f=-000001] [LuaMenu] Loading API widget:  ChiliFX                <api_chilifx.lua>
    [f=-000001] [ChiliFX] Enabled: false
    [f=-000001] [LuaMenu] Loading API widget:  Chotify                <api_chotify.lua>
    [f=-000001] [Chotify] Enabled: true
    [f=-000001] [LuaMenu] Loading API widget:  Ingame Interface       <api_ingame_interface.lua>
    [f=-000001] [LuaMenu] Loading widget:      Delay API              <api_delay.lua>
    [f=-000001] [LuaMenu] Loading widget:      Test                   <dbg_test.lua>
    [f=-000001] [LuaMenu] Loading widget:      Download Window        <gui_download_window.lua>
    [f=-000001] [LuaMenu] Loading widget:      Friend Window          <gui_friend_window.lua>
    [f=-000001] [LuaMenu] Loading widget:      Missions Handles       <gui_mission_handler.lua>
    [f=-000001] [LuaMenu] Loading widget:      Queue List Window      <gui_queue_list_window.lua>
    [f=-000001] [LuaMenu] Loading widget:      Replays window         <gui_replay_handler.lua>
    [f=-000001] [LuaMenu] Loading widget:      Settings Window        <gui_settings_window.lua>
    [f=-000001] [LuaMenu] Loading widget:      Users Handler          <api_user_handler.lua>
    [f=-000001] [LuaMenu] Loading widget:      ZK wrapper loopback interface  <zk_loopback.lua>
    [f=-000001] [Chobby] Using wrapper port: , 64437
    [f=-000001] [LuaMenu] Loading widget:      Cache Handler API      <api_cache_handler.lua>
    [f=-000001] [LuaMenu] Loading widget:      Internet Browser API   <api_internet_browser.lua>
    [f=-000001] [LuaMenu] Loading widget:      Map Handler API        <api_map_handler.lua>
    [f=-000001] [LuaMenu] Loading widget:      Battle Room Window     <gui_battle_room_window.lua>
    [f=-000001] [LuaMenu] Loading widget:      Battle status panel    <gui_battle_status_panel.lua>
    [f=-000001] [LuaMenu] Loading widget:      Campaign Handler       <gui_campaign_handler.lua>
    [f=-000001] [LuaMenu] Loading widget:      Campaign Handler ZK    <zk_campaign_handler.lua>
    [f=-000001] [LuaMenu] Loading widget:      Chili Visual Novel     <campaign_chili_vn.lua>
    [f=-000001] [LuaMenu] Loading widget:      Cursor tooltip         <gui_tooltip.lua>
    [f=-000001] [LuaMenu] Loading widget:      Load Game Menu         <gui_loadgame.lua>
    [f=-000001] [LuaMenu] Loading widget:      Login Window           <gui_login_window.lua>
    [f=-000001] [LuaMenu] Loading widget:      Mission Launcher       <mission_launcher.lua>
    [f=-000001] [LuaMenu] Loading widget:      Modoptions Panel       <gui_modoptions_panel.lua>
    [f=-000001] [LuaMenu] Loading widget:      Party status panel     <gui_party_status_panel.lua>
    [f=-000001] [LuaMenu] Loading widget:      Popup Preloader        <gui_popup_preloader.lua>
    [f=-000001] [LuaMenu] Loading widget:      Queue status panel     <gui_queue_status_panel.lua>
    [f=-000001] [LuaMenu] Loading widget:      User status panel      <gui_user_status_panel.lua>
    [f=-000001] [LuaMenu] Loading widget:      ZK replay downloader   <zk_replay_launcher.lua>
    [f=-000001] [LuaMenu] Warning: Headers files aren't supported anymore use "require" instead!
    [f=-000001] [LuaMenu] Warning: Headers files aren't supported anymore use "require" instead!
    [f=-000001] [LuaMenu] Loading widget:      Chili lobby            <gui_chili_lobby.lua>
    [f=-000001] Number of battles: 0
    [f=-000001] Number of battles: 0
    [f=-000001] newPanelHandler = {
    [f=-000001]     Destroy = , <function>
    [f=-000001]     IsVisible = , <function>
    [f=-000001]     GetManagedControlByName = , <function>
    [f=-000001]     AddTab = , <function>
    [f=-000001]     UpdateLayout = , <function>
    [f=-000001]     GetTabByName = , <function>
    [f=-000001]     SetTabCaption = , <function>
    [f=-000001]     Rescale = , <function>
    [f=-000001]     Show = , <function>
    [f=-000001]     OpenTab = , <function>
    [f=-000001]     SetActivity = , <function>
    [f=-000001]     CloseSubmenu = , <function>
    [f=-000001]     RemoveTab = , <function>
    [f=-000001]     IsTabSelected = , <function>
    [f=-000001]     OpenTabByName = , <function>
    [f=-000001]     Hide = , <function>
    [f=-000001] },
    [f=-000001] newPanelHandler = {
    [f=-000001]     Destroy = , <function>
    [f=-000001]     IsVisible = , <function>
    [f=-000001]     GetManagedControlByName = , <function>
    [f=-000001]     AddTab = , <function>
    [f=-000001]     UpdateLayout = , <function>
    [f=-000001]     GetTabByName = , <function>
    [f=-000001]     SetTabCaption = , <function>
    [f=-000001]     Rescale = , <function>
    [f=-000001]     Show = , <function>
    [f=-000001]     OpenTab = , <function>
    [f=-000001]     SetActivity = , <function>
    [f=-000001]     CloseSubmenu = , <function>
    [f=-000001]     RemoveTab = , <function>
    [f=-000001]     IsTabSelected = , <function>
    [f=-000001]     OpenTabByName = , <function>
    [f=-000001]     Hide = , <function>
    [f=-000001] },
    [f=-000001] Number of battles: 0
    [f=-000001] Number of battles: 0
    [f=-000001] [LuaMenu] Loading widget:      Standalone lobby tools  <gui_standalone_lobby.lua>
    [f=-000001] [LuaMenu] Loading widget:      Block Input            <gui_block_input.lua>
    [f=-000001] [LuaMenu] Loading widget:      Music Player Lite      <snd_music_lite.lua>
    [f=-000001] [LuaMenu] LuaMenu v1.0 (Lua 5.1)
    [f=-000001] SetLobbyButtonEnabled, true
    [f=-000001] [Settings] Warning: No such key: snd_general, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: FSAA, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: BuildWarnings, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: MoveWarnings, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: WorkerThreadSpinTime, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: VerboseLevel, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: MinimapOnLeft, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: ReflectiveWater, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: DisplayDebugPrefixConsole, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: LogFlush, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: CubeTexSpecularExponent, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: LuaAutoModWidgets, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: NormalMapping, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: LinkBandwidth, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: Version, but setting it as string anyway.
    [f=-000001] Starting Track, sounds/lobbyMusic/The Secret of Ayers Rock.ogg, 0
    [f=-000001] [InitOpenGL] video mode set to 1140x733:24bit @75Hz (windowed)
    [f=-000001] LuaMenuServerMessage, >Login {"LobbyVersion":"Chobby git","Name":"Test1234","UserID":0,"PasswordHash":"REDACTED","ClientType":1}
    [f=-000001] LuaMenuServerMessage, <Welcome {"Engine":"103.0.1-529-gb68830c","Game":"Zero-K v1.5.2.5","Version":"1.4.9.47","UserCount":12}
    [f=-000001] LuaMenuServerMessage, <User {"AccountID":362561,"Avatar":"levelterra","BanMute":false,"BanSpecChat":false,"Country":"AU","DisplayName":"GoogleFrog","EffectiveMmElo":1300,"RawMmElo":1300,"IsAdmin":false,"IsBot":false,"Level":2,"LobbyVersion":"Chobby git","Name":"Test1234","SteamID":76561198005614529,"IsAway":false,"IsInGame":false,"IsInBattleRoom":false}
    [f=-000001] LuaMenuServerMessage, >JoinChannel {"ChannelName":"zktop20"}
    [f=-000001] LuaMenuServerMessage, >JoinChannel {"ChannelName":"zkdev"}
    [f=-000001] LuaMenuServerMessage, >JoinChannel {"ChannelName":"zkadmin"}
    [f=-000001] LuaMenuServerMessage, >JoinChannel {"ChannelName":"zk"}
    [f=-000001] LuaMenuServerMessage, >JoinChannel {"ChannelName":"clan_RSN"}
    [f=-000001] LuaMenuServerMessage, >JoinChannel {"ChannelName":"bla"}
    [f=-000001] LuaMenuServerMessage, <LoginResponse {"ResultCode":0,"SessionToken":"REDACTED"}
    [f=-000001] LuaMenuServerMessage, <BattleAdded {"Header":{"BattleID":23,"Engine":"103.0.1-529-gb68830c","Founder":"THOL","Game":"Zero-K v1.5.2.5","IsRunning":true,"Map":"Vittra_v1","MaxPlayers":16,"Mode":0,"Password":"?","RunningSince":"2017-02-02T06:52:05.639847Z","PlayerCount":1,"SpectatorCount":0,"Title":"THOL's Custom","IsMatchMaker":false}}
    [f=-000001] LuaMenuServerMessage, <BattleAdded {"Header":{"BattleID":26,"Engine":"103.0.1-529-gb68830c","Founder":"lafender","Game":"Zero-K v1.5.2.5","IsRunning":true,"Map":"Red Comet","MaxPlayers":10,"Mode":5,"Password":"?","RunningSince":"2017-02-02T05:39:22.3137903Z","PlayerCount":1,"SpectatorCount":0,"Title":"la-fender","IsMatchMaker":false}}
    [f=-000001] LuaMenuServerMessage, <BattleAdded {"Header":{"BattleID":27,"Engine":"103.0.1-529-gb68830c","Founder":"4hundred","Game":"Zero-K v1.5.2.5","IsRunning":false,"Map":"Comet Catcher Redux","MaxPlayers":10,"Mode":5,"PlayerCount":1,"SpectatorCount":1,"Title":"4hundred's Battle","IsMatchMaker":false}}
    [f=-000001] LuaMenuServerMessage, <BattleAdded {"Header":{"BattleID":28,"Engine":"103.0.1-298-gaf1edb1","Founder":"[GBC]1v0ry_k1ng","Game":"Zero-K v1.5.2.5","IsRunning":true,"Map":"Comet Catcher Redux","MaxPlayers":16,"Mode":0,"RunningSince":"2017-02-02T06:53:26.6484093Z","PlayerCount":0,"SpectatorCount":1,"Title":"[GBC]1v0ry_k1ng's Custom","IsMatchMaker":false}}
    [f=-000001] LuaMenuServerMessage, <User {"AccountID":212163,"Avatar":"corned","BanMute":false,"BanSpecChat":false,"Clan":"MC","Country":"DE","EffectiveMmElo":1770,"RawMmElo":1770,"Faction":"Rising","IsAdmin":false,"IsBot":false,"BattleID":27,"Level":153,"LobbyVersion":"ZK 1.4.9.34","Name":"Chesti","IsAway":false,"IsInGame":false,"IsInBattleRoom":true}
    [f=-000001] LuaMenuServerMessage, <User {"AccountID":362561,"Avatar":"levelterra","BanMute":false,"BanSpecChat":false,"Country":"AU","DisplayName":"GoogleFrog","EffectiveMmElo":1300,"RawMmElo":1300,"IsAdmin":false,"IsBot":false,"Level":2,"LobbyVersion":"Chobby git","Name":"Test1234","SteamID":76561198005614529,"IsAway":false,"IsInGame":false,"IsInBattleRoom":false}
    [f=-000001] LuaMenuServerMessage, <User {"AccountID":15114,"Avatar":"chicken_dragon","BanMute":false,"BanSpecChat":false,"Clan":"RSN","Country":"AU","DisplayName":"GoogleFrog","EffectiveMmElo":2282,"RawMmElo":2282,"CompetitiveRank":1,"Faction":"Hegemony","IsAdmin":true,"IsBot":false,"Level":122,"LobbyVersion":"Chobby git","Name":"GoogleFrog","SteamID":76561198005614529,"IsAway":false,"IsInGame":false,"IsInBattleRoom":false}
    [f=-000001] LuaMenuServerMessage, <User {"AccountID":132219,"Avatar":"tacnuke","BanMute":false,"BanSpecChat":false,"Clan":"LOBSC","Country":"CA","DisplayName":"Shadowfury333","EffectiveMmElo":1545,"RawMmElo":1545,"CompetitiveRank":18,"Faction":"Hegemony","IsAdmin":true,"IsBot":false,"Level":60,"LobbyVersion":"Chobby git","Name":"Shadowfury333","SteamID":76561197988094846,"IsAway":false,"IsInGame":false,"IsInBattleRoom":false}
    [f=-000001] LuaMenuServerMessage, <User {"AccountID":3323,"Avatar":"commsupport1_1","BanMute":false,"BanSpecChat":false,"Clan":"TheGBC","Country":"AU","EffectiveMmElo":1722,"RawMmElo":1722,"Faction":"Rising","InGameSince":"2017-02-02T06:53:28.1996813Z","IsAdmin":false,"IsBot":false,"BattleID":28,"Level":74,"LobbyVersion":"ZK 1.4.9.47","Name":"[GBC]1v0ry_k1ng","IsAway":false,"IsInGame":true,"IsInBattleRoom":true}
    [f=-000001] LuaMenuServerMessage, <User {"AccountID":341587,"Avatar":"missiletower","AwaySince":"2017-02-01T20:44:35.1287434Z","BanMute":false,"BanSpecChat":false,"Country":"US","EffectiveMmElo":1523,"RawMmElo":1523,"IsAdmin":false,"IsBot":false,"Level":21,"LobbyVersion":"ZK 1.4.9.47","Name":"aeonios","IsAway":true,"IsInGame":false,"IsInBattleRoom":false}
    [f=-000001] LuaMenuServerMessage, <User {"AccountID":390414,"Avatar":"armkam","BanMute":false,"BanSpecChat":false,"Country":"PE","EffectiveMmElo":1279,"RawMmElo":1500,"InGameSince":"2017-02-02T05:39:22.7669402Z","IsAdmin":false,"IsBot":false,"BattleID":26,"Level":30,"LobbyVersion":"ZK 1.4.9.47","Name":"lafender","IsAway":false,"IsInGame":true,"IsInBattleRoom":true}
    [f=-000001] LuaMenuServerMessage, <User {"AccountID":345837,"Avatar":"screamer","BanMute":false,"BanSpecChat":false,"Clan":"LOBSC","Country":"TH","EffectiveMmElo":1470,"RawMmElo":1470,"Faction":"Hegemony","InGameSince":"2017-02-02T06:52:06.1221703Z","IsAdmin":false,"IsBot":false,"BattleID":23,"Level":89,"LobbyVersion":"ZK 1.4.9.47","Name":"THOL","IsAway":false,"IsInGame":true,"IsInBattleRoom":true}
    [f=-000001] LuaMenuServerMessage, <User {"AccountID":243407,"Avatar":"cormart","AwaySince":"2017-02-02T05:43:43.7654964Z","BanMute":false,"BanSpecChat":false,"Clan":"db","Country":"CA","EffectiveMmElo":1739,"RawMmElo":1739,"CompetitiveRank":12,"Faction":"Rising","IsAdmin":false,"IsBot":false,"Level":101,"LobbyVersion":"Spring Web Lobby react dev","Name":"[G0G0]Dancer","IsAway":true,"IsInGame":false,"IsInBattleRoom":false}
    [f=-000001] LuaMenuServerMessage, <User {"AccountID":77714,"Avatar":"commsupport2_1","BanMute":false,"BanSpecChat":false,"Clan":"LoBSTR","Country":"AU","EffectiveMmElo":1837,"RawMmElo":1837,"CompetitiveRank":9,"Faction":"Hegemony","IsAdmin":false,"IsBot":false,"BattleID":27,"Level":202,"LobbyVersion":"Chobby git","Name":"4hundred","IsAway":false,"IsInGame":false,"IsInBattleRoom":true}
    [f=-000001] LuaMenuServerMessage, <User {"AccountID":332567,"Avatar":"thicket","AwaySince":"2017-02-02T06:56:10.1771534Z","BanMute":false,"BanSpecChat":false,"Country":"FI","EffectiveMmElo":1107,"RawMmElo":1494,"IsAdmin":false,"IsBot":false,"Level":16,"LobbyVersion":"Chobby git","Name":"Azur3d","IsAway":true,"IsInGame":false,"IsInBattleRoom":false}
    [f=-000001] LuaMenuServerMessage, <User {"AccountID":305793,"Avatar":"capturecar","BanMute":false,"BanSpecChat":false,"Country":"CZ","EffectiveMmElo":1505,"RawMmElo":1505,"IsAdmin":false,"IsBot":false,"Level":79,"LobbyVersion":"ZK 1.4.9.47","Name":"TLama","IsAway":false,"IsInGame":false,"IsInBattleRoom":false}
    [f=-000001] LuaMenuServerMessage, <User {"AccountID":89992,"Avatar":"corflak","BanMute":false,"BanSpecChat":false,"Country":"JP","EffectiveMmElo":1853,"RawMmElo":1853,"CompetitiveRank":9,"IsAdmin":false,"IsBot":false,"Level":63,"Name":"gajop","IsAway":false,"IsInGame":false,"IsInBattleRoom":false}
    [f=-000001] LuaMenuServerMessage, <JoinChannelResponse {"Channel":{"Users":["[GBC]1v0ry_k1ng","aeonios","lafender","Chesti","Test1234","THOL","[G0G0]Dancer","4hundred","GoogleFrog","Azur3d","TLama","gajop","Shadowfury333"],"ChannelName":"zk","Topic":{},"IsDeluge":true},"ChannelName":"zk","Success":true}
    [f=-000001] LuaMenuServerMessage, <ChannelUserAdded {"ChannelName":"zk","UserName":"Test1234"}
    [f=-000001] LuaMenuServerMessage, <FriendList {"Friends":["Licho","coljetix","Chesti","_Shaman","Test123"]}
    [f=-000001] LuaMenuServerMessage, <IgnoreList {"Ignores":[]}
    [f=-000001] LuaMenuServerMessage, <MatchMakerSetup {"PossibleQueues":[{"Name":"4v4","Description":"Play 4v4 with players of similar skill.","Maps":["Avalanche-v2","Badlands","Barren","Comet Catcher Redux","Eye_Of_Horus_v2","Red Comet","Titan-v2","TitanDuel","Valles_Marineris_v2","Trojan_Hills_v02","Vittra_v1","Hide_and_Seek_v03","Into Battle_v3","wanderlust_V01","Intersection_v3","cold_snap_v1","Living Lands v2.03","Obsidian_1.3","Isle of Grief 0.2","Fairyland v1.0","Akilon Wastelands ZK v1","Lonely Oasis v1","Adansonia v4","Crubick Plains v1","Onyx Cauldron 1.7","Calamity 1.1"],"Game":"Zero-K v1.5.2.5","MaxPartySize":4},{"Name":"3v3","Description":"Play 3v3 with players of similar skill.","Maps":["Avalanche-v2","Badlands","Barren","Comet Catcher Redux","Eye_Of_Horus_v2","Red Comet","Titan-v2","TitanDuel","Valles_Marineris_v2","Trojan_Hills_v02","Vittra_v1","Hide_and_Seek_v03","Into Battle_v3","wanderlust_V01","Intersection_v3","cold_snap_v1","Living Lands v2.03","Obsidian_1.3","Isle of Grief 0.2","Fairyland v1.0","Akilon Wastelands ZK v1","Lonely Oasis v1","Adansonia v4","Crubick Plains v1","Onyx Cauldron 1.7","Calamity 1.1"],"Game":"Zero-K v1.5.2.5","MaxPartySize":3},{"Name":"2v2","Description":"Play 2v2 with players of similar skill.","Maps":["Avalanche-v2","Badlands","Barren","Comet Catcher Redux","Eye_Of_Horus_v2","Red Comet","Titan-v2","TitanDuel","Valles_Marineris_v2","Trojan_Hills_v02","Vittra_v1","Hide_and_Seek_v03","Into Battle_v3","wanderlust_V01","Intersection_v3","cold_snap_v1","Living Lands v2.03","Obsidian_1.3","Isle of Grief 0.2","Fairyland v1.0","Akilon Wastelands ZK v1","Lonely Oasis v1","Adansonia v4","Crubick Plains v1","Onyx Cauldron 1.7","Calamity 1.1"],"Game":"Zero-K v1.5.2.5","MaxPartySize":2},{"Name":"1v1","Description":"Duel an opponent of similar skill in a 1v1 match.","Maps":["Avalanche-v2","Badlands","Barren","Comet Catcher Redux","Eye_Of_Horus_v2","Red Comet","TitanDuel","Valles_Marineris_v2","Trojan_Hills_v02","Vittra_v1","Hide_and_Seek_v03","Into Battle_v3","wanderlust_V01","Intersection_v3","Living Lands v2.03","Obsidian_1.3","Isle of Grief 0.2","La Isla Bonita v1","Fairyland v1.0","Akilon Wastelands ZK v1","Lonely Oasis v1","Adansonia v4","Onyx Cauldron 1.7"],"Game":"Zero-K v1.5.2.5","MaxPartySize":1}]}
    [f=-000001] LuaMenuServerMessage, <MatchMakerStatus {"MatchMakerEnabled":false,"QueueCounts":{"4v4":0,"3v3":0,"2v2":0,"1v1":0},"InstantStartQueues":[],"IngameCounts":{"4v4":0,"3v3":0,"2v2":0,"1v1":0},"UserCount":13}
    [f=-000001] LuaMenuServerMessage, <Say {"IsEmote":false,"Place":0,"Ring":false,"Target":"zk","Text":"shhh dancer is here","Time":"2017-02-02T06:56:11.613","User":"Chesti"}
    [f=-000001] LuaMenuServerMessage, <JoinChannelResponse {"ChannelName":"zktop20","Reason":"you don't have permission to join this channel","Success":false}
    [f=-000001] LuaMenuServerMessage, <JoinChannelResponse {"Channel":{"Users":["GoogleFrog","Shadowfury333","Test1234","aeonios","Chesti"],"ChannelName":"zkdev","Topic":{},"IsDeluge":false},"ChannelName":"zkdev","Success":true}
    [f=-000001] LuaMenuServerMessage, <ChannelUserAdded {"ChannelName":"zkdev","UserName":"Test1234"}
    [f=-000001] LuaMenuServerMessage, <JoinChannelResponse {"ChannelName":"zkadmin","Reason":"you don't have permission to join this channel","Success":false}
    [f=-000001] LuaMenuServerMessage, <JoinChannelResponse {"Channel":{"Users":["[GBC]1v0ry_k1ng","aeonios","lafender","Chesti","Test1234","THOL","[G0G0]Dancer","4hundred","GoogleFrog","Azur3d","TLama","gajop","Shadowfury333"],"ChannelName":"zk","Topic":{},"IsDeluge":true},"ChannelName":"zk","Success":true}
    [f=-000001] LuaMenuServerMessage, <Say {"IsEmote":true,"Place":0,"Ring":false,"Target":"zkdev","Text":"[Zero-K] GoogleFrog has pushed 2 commits: \n Disabled some gadgets which do almost nothing. Sped up regeneration gadget. ( https://github.com/ZeroK-RTS/Zero-K/commit/83bb28d1cca01d35c288e57fe373166832be6e68 )\n Disabled hold-to-terraform-structure by default. ( https://github.com/ZeroK-RTS/Zero-K/commit/9d1dd2c0836580f5fa2e72cfe0607d02eecdc118 )","Time":"2017-02-02T06:52:30.807","User":"Nightwatch"}
    [f=-000001] LuaMenuServerMessage, <Say {"IsEmote":false,"Place":0,"Ring":false,"Target":"zkdev","Text":"idk exactly how the skinning should work","Time":"2017-02-02T06:55:18.97","User":"GoogleFrog"}
    [f=-000001] LuaMenuServerMessage, <Say {"IsEmote":false,"Place":0,"Ring":false,"Target":"zkdev","Text":"things which are bits floating off the main UI may be fine as minimalist boxes","Time":"2017-02-02T06:55:36.123","User":"GoogleFrog"}
    [f=-000001] LuaMenuServerMessage, <JoinChannelResponse {"ChannelName":"clan_RSN","Reason":"you don't have permission to join this channel","Success":false}
    [f=-000001] LuaMenuServerMessage, <Say {"IsEmote":false,"Place":0,"Ring":false,"Target":"zkdev","Text":"I find it looks incomplete","Time":"2017-02-02T06:55:49.1","User":"Shadowfury333"}
    [f=-000001] LuaMenuServerMessage, <Say {"IsEmote":false,"Place":0,"Ring":false,"Target":"zkdev","Text":"while the main UI itself is fairly static in its position","Time":"2017-02-02T06:55:53.46","User":"GoogleFrog"}
    [f=-000001] LuaMenuServerMessage, <JoinChannelResponse {"Channel":{"Users":["Test1234"],"ChannelName":"bla","Topic":{},"IsDeluge":false},"ChannelName":"bla","Success":true}
    [f=-000001] LuaMenuServerMessage, <ChannelUserAdded {"ChannelName":"bla","UserName":"Test1234"}
    [f=-000001] LuaMenuServerMessage, <Say {"IsEmote":false,"Place":0,"Ring":false,"Target":"zk","Text":"shhh dancer is here","Time":"2017-02-02T06:56:11.613","User":"Chesti"}
    [f=-000001] LuaMenuServerMessage, <Say {"IsEmote":false,"Place":0,"Ring":false,"Target":"zkdev","Text":"I'll see about a small generic skinned version","Time":"2017-02-02T06:56:37.5574907Z","User":"GoogleFrog"}
    [f=-000001] Logout
    [f=-000001] [i18n] Warning: "User went offline" is not translated in en
    [f=-000001] [i18n] Error: No translation found for "User went offline"
    [f=-000001] [Chobby] Warning: Trying to remove row which doesn't exist, with ID: 26
    [f=-000001] [Chobby] Warning: Trying to remove row which doesn't exist, with ID: 27
    [f=-000001] [Chobby] Warning: Trying to remove row which doesn't exist, with ID: 23
    [f=-000001] [i18n] Warning: "spectator" is not translated in en
    [f=-000001] [i18n] Error: No translation found for "spectator"
    [f=-000001] [i18n] Warning: "player" is not translated in en
    [f=-000001] [i18n] Error: No translation found for "player"
    [f=-000001] SetLobbyFullscreenMode, 1
    [f=-000001] screenX, screenY, 1920, 1080
    [f=-000001] [Settings] Warning: No such key: snd_general, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: FSAA, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: BuildWarnings, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: MoveWarnings, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: WorkerThreadSpinTime, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: VerboseLevel, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: MinimapOnLeft, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: ReflectiveWater, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: DisplayDebugPrefixConsole, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: LogFlush, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: CubeTexSpecularExponent, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: LuaAutoModWidgets, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: NormalMapping, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: LinkBandwidth, but setting it as string anyway.
    [f=-000001] [Settings] Warning: No such key: Version, but setting it as string anyway.
    [f=-000001] LuaMenuServerMessage, >ChangeUserStatus {"IsInGame":true}
    [f=-000001] LuaMenuServerMessage, >MatchMakerQueueRequest {"Queues":[]}
    [f=-000001] [ReloadOrRestart] Spring "C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\spring.exe" should be reloading
    [f=-000001] [SpringApp::Reload][1]
    [f=-000001] [ThreadPool::SetThreadCount][1] wanted=0 current=1 maximum=6
    [f=-000001] 	[async=0] threads=1 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [f=-000001] 	[async=1] threads=1 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [f=-000001] [ThreadPool::SetThreadCount][2] workers=0
    [f=-000001] [ThreadPool::SetThreadCount][1] wanted=0 current=1 maximum=6
    [f=-000001] 	[async=0] threads=1 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [f=-000001] 	[async=1] threads=1 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [f=-000001] [ThreadPool::SetThreadCount][2] workers=0
    [f=-000001] [Threading] Main thread CPU affinity mask set: 4095
    [f=-000001] [SpringApp::Reload][2]
    [f=-000001] [Game::KillLua][1] luaGaia=00000000
    [f=-000001] [Game::KillLua][2] luaRules=00000000
    [f=-000001] [Game::KillLua][3] luaUI=00000000
    [f=-000001] [Game::KillLua][4]
    [f=-000001] [SpringApp::Reload][3]
    [f=-000001] [WatchDog::DeregisterThread] deregistering controls for thread [audio]
    [f=-000001] [Sound] [Sound::UpdateThread][3] efx=034de230
    [f=-000001] [Sound] [Sound::UpdateThread][4]
    [f=-000001] [SpringApp::Reload][4]
    [f=-000001] [SpringApp::Reload][5]
    [f=-000001] [SpringApp::Reload][6]
    [f=-000001] [SpringApp::Reload][7]
    [f=-000001] [DataDirs] Isolation Mode!
    [f=-000001] Using read-write data directory: C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\
    [f=-000001] Using read-only data directory: C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\
    [f=-000001] Scanning: C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\base
    [f=-000001] Scanning: C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\maps
    [f=-000001] Scanning: C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\games
    [f=-000001] Scanning: C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\packages
    [f=-000001] [~ScopedOnceTimer][CArchiveScanner::ScanAllDirs] 20ms
    [f=-000001] [SpringApp::Reload][8]
    [f=-000001] [SpringApp::Reload][9]
    [f=-000001] [Sound] [Sound::InitThread] OpenAL info:
    [f=-000001] [Sound]   Available Devices:
    [f=-000001] [Sound]               Speakers (4- USB Audio Device)
    [f=-000001] [Sound]               Realtek Digital Output (Realtek High Definition Audio)
    [f=-000001] [Sound]               Realtek Digital Output(Optical) (Realtek High Definition Audio)
    [f=-000001] [Sound]               Speakers (4- USB Audio Device)
    [f=-000001] [Sound]   Device:     OpenAL Soft
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.16.0
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
    [f=-000001] [Sound]   Max Sounds: 32
    [f=-000001] [Sound] Error:   EFX: AL_INVALID_VALUE (40963)
    [f=-000001] [Sound] Error:   Initializing EFX failed!
    [f=-000001] [Sound] [Sound::UpdateThread][1] maxSounds=32
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [audio]
    [f=-000001] [Sound] [Sound::UpdateThread][2]
    [f=-000001] [SpringApp::Reload][10]
    [f=-000001] [Reload][11]
    [f=-000001] [LuaMenuController::Reset] using menu archive "Chobby $VERSION"
    [f=-000001] [SpringApp::Reload][12]
    [f=-000001] [PreGame] hosting on: 127.0.0.1:0
    [f=-000001] Connecting to local server
    [f=-000001] [AddGameSetupArchivesToVFS] using map: ScorpioBattleground
    [f=-000001] Checksums: game=0x80CFD2B9 map=0x72CE0BF0
    [f=-000001] Warning: Opening socket on loopback address. Other users will not be able to connect!
    [f=-000001] Binding UDP socket to IP (v4) 127.0.0.1 (127.0.0.1) port 0
    [f=-000001] [UDPListener] successfully bound socket on port 52449
    [f=-000001] [~ScopedOnceTimer][PreGame::StartServer] 112ms
    [f=-000001] [SpringApp::Reload][13]
    [f=-000001] [InitOpenGL] video mode set to 1920x1080:24bit @60Hz (windowed)
    [f=-000001] [AddGameSetupArchivesToVFS] using map: ScorpioBattleground
    [f=-000001] [AddGameSetupArchivesToVFS] using game: Zero-K $VERSION (archive: zk.sdd)
    [f=-000001] Recording demo to: C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\demos\20170202_175632_ScorpioBattleground_103.0.1-566-g670e0d4 develop.sdfz
    [f=-000001] [~ScopedOnceTimer][PreGame::GameDataReceived] 1901ms
    [f=-000001] [PreGame::UpdateClientNet] received user number 0 (team 0, allyteam 0), creating load-screen
    [f=-000001] [LuaIntro] Searching for new Widgets
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/chili/
    [f=-000001] [LuaIntro] Found new widget "SpringLogo"
    [f=-000001] [LuaIntro] Found new widget "LoadTexture"
    [f=-000001] [LuaIntro] Found new widget "LoadProgress"
    [f=-000001] [LuaIntro] Found new widget "Main"
    [f=-000001] [LuaIntro] Found new widget "Music"
    [f=-000001] [LuaIntro] Found new widget "WM Stuff"
    [f=-000001] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=-000001] [LuaIntro] Loading widget:      WM Stuff               <wm.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=-000001] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=-000001] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=-000001] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [load]
    [f=-000001] [Game::LoadGame][1] threaded=1
    [f=-000001] Parsing Map Information
    [f=-000001] [InitOpenGL] video mode set to 1920x1080:24bit @60Hz (windowed)
    [f=-000001] Loading SMF
    [f=-000001] Loading Map (103 MB)
    [f=-000001] Loading Radar Icons
    [f=-000001] Loading GameData Definitions
    [f=-000001] Loading UnitDefs_posts
    [f=-000001] [gamedata/modularcomms/unitdefgen.lua] Warning: Modular Comms warning: Comm data entry in modoption is empty or in invalid format
    [f=-000001] Loacing FeatureDefs_posts
    [f=-000001] Loading WeaponDefs_posts
    [f=-000001] Loading ArmorDefs_posts
    [f=-000001] [defs.lua] loading all *Defs tables: 308ms
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (GameData)] 409ms
    [f=-000001] Loading Sound Definitions
    [f=-000001] [Sound] Warning: Sound incomingchat is missing file tag (ignoring)
    [f=-000001] [Sound]  parsed 317 sounds from gamedata/sounds.lua
    [f=-000001] [Sound] Error: Unable to open audio file: IncomingChat
    [f=-000001] [Sound] Error: CSound::GetSoundId: could not find sound: IncomingChat
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (Sound)] 10ms
    [f=-000001] [Game::LoadGame][2]
    [f=-000001] Creating Smooth Height Mesh
    [f=-000001] [~ScopedOnceTimer][SmoothHeightMesh::MakeSmoothMesh] 85ms
    [f=-000001] Creating QuadField & CEGs
    [f=-000001] [CDamageArrayHandler] number of ArmorDefs: 5
    [f=-000001] Warning: [CDamageArrayHandler] UnitDef "chicken" in ArmorDef "else" already belongs to ArmorDef category 1!
    [f=-000001] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=-000001] Creating Unit Textures
    [f=-000001] Creating Sky
    [f=-000001] [Game::LoadGame][3]
    [f=-000001] Loading Weapon Definitions
    [f=-000001] Loading Unit Definitions
    [f=-000001] Loading Feature Definitions
    [f=-000001] Error: [GetFeatureDef] could not find FeatureDef "dead2"
    [f=-000001] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=-000001] Initializing Map Features
    [f=-000001] Error: [LoadFeatureDefsFromMap] unknown map feature type "talltree6													"
    [f=-000001] Error: [GetFeatureDef] could not find FeatureDef "talltree6													"
    [f=-000001] Error: [GetFeatureDef] could not find FeatureDef "talltree6													"
    [f=-000001] Error: [GetFeatureDef] could not find FeatureDef "talltree6													"
    [f=-000001] Error: [GetFeatureDef] could not find FeatureDef "talltree6													"
    [f=-000001] Error: [GetFeatureDef] could not find FeatureDef "talltree6													"
    [f=-000001] Error: [GetFeatureDef] could not find FeatureDef "talltree6													"
    [f=-000001] Error: [GetFeatureDef] could not find FeatureDef "talltree6													"
    [f=-000001] Error: [GetFeatureDef] could not find FeatureDef "talltree6													"
    [f=-000001] Error: [GetFeatureDef] could not find FeatureDef "talltree6													"
    [f=-000001] Error: [GetFeatureDef] could not find FeatureDef "talltree6													"
    [f=-000001] Error: [GetFeatureDef] could not find FeatureDef "talltree6													"
    [f=-000001] Error: [GetFeatureDef] could not find FeatureDef "talltree6													"
    [f=-000001] Creating ShadowHandler
    [f=-000001] Creating GroundDrawer
    [f=-000001] Loading Map Tiles
    [f=-000001] Loading Square Textures
    [f=-000001] [~ScopedOnceTimer][CSMFGroundTextures::ConvolveHeightMap] 3ms
    [f=-000001] Switching to ROAM Mesh Rendering
    [f=-000001] Creating TreeDrawer
    [f=-000001] Loaded DecalsDrawer: Legacy
    [f=-000001] Creating ProjectileDrawer & UnitDrawer
    [f=-000001] Creating Projectile Textures
    [f=-000001] Warning: [CCEG::Load] table for CEG "custom:gravityless_flamer" invalid (parse errors?)
    [f=-000001] Warning: [CCEG::Load] yellowdisarmtrail: Unknown tag CExploSpikeProjectile::ttl
    [f=-000001] Creating Water
    [f=-000001] [Game::LoadGame][4]
    [f=-000001] [~ScopedOnceTimer][Game::LoadInterface (Camera&Mouse)] 147ms
    [f=-000001] [Sound] Error: Unable to open audio file: MultiSelect
    [f=-000001] [Sound] Error: CSound::GetSoundId: could not find sound: MultiSelect
    [f=-000001] [~ScopedOnceTimer][Game::LoadInterface (Console)] 1ms
    [f=-000001] [Sound] Error: Unable to open audio file: FailedCommand
    [f=-000001] [Sound] Error: CSound::GetSoundId: could not find sound: FailedCommand
    [f=-000001] InfoTexture: shaders
    [f=-000001] Loading LuaRules
    [f=-000001] Synced LuaRules: starting loading
    [f=-000001] Total: 784 quads
    [f=-000001] Total: 784 quads
    [f=-000001] Total: 784 quads
    [f=-000001] Startboxes public_seed, 1353
    [f=-000001] [Modular Comm Info] Warning: Modular Comms API warning: Comm data entry in modoption is empty or in invalid format
    [f=-000001] [Modular Comm Info] Warning: Modular Comms API warning: Comm data entry for player Player is empty or in invalid format
    [f=-000001] [Planet Wars Structures] Warning: Planetwars warning: Planetwars data entry in modoption is empty or in invalid format
    [f=-000001] Initializing gadget
    [f=-000001] Synced LuaRules: finished loading
    [f=-000001] Unsynced LuaRules: starting loading
    [f=-000001] [Modular Comm Info] Warning: Modular Comms API warning: Comm data entry in modoption is empty or in invalid format
    [f=-000001] [Modular Comm Info] Warning: Modular Comms API warning: Comm data entry for player Player is empty or in invalid format
    [f=-000001] Feature, talltree1, seems like a nice tree, assigning the default normal texture to it.
    [f=-000001] Feature, talltree2, seems like a nice tree, assigning the default normal texture to it.
    [f=-000001] Feature, talltree3, seems like a nice tree, assigning the default normal texture to it.
    [f=-000001] Feature, talltree4, seems like a nice tree, assigning the default normal texture to it.
    [f=-000001] Feature, talltree5, seems like a nice tree, assigning the default normal texture to it.
    [f=-000001] Feature, talltree6, seems like a nice tree, assigning the default normal texture to it.
    [f=-000001] Unsynced LuaRules: finished loading
    [f=-000001] Loading LuaGaia
    [f=-000001] Loading LuaUI
    [f=-000001] LuaUI Entry Point: "luaui.lua"
    [f=-000001] LuaUI Access Lock: enabled
    [f=-000001] LuaSocket Enabled: yes
    [f=-000001] Using LUAUI_DIRNAME = LuaUI/
    [f=-000001] Reloading GUI config from file: LuaUI/ctrlpanel.txt
    [f=-000001] LuaUI: bound F11 to the widget selector
    [f=-000001] LuaUI: bound CTRL+F11 to tweak mode
    [f=-000001] Loading last game win data
    [f=-000001] Resetting win data
    [f=-000001] Last game player count: 0, This game player count: 1
    [f=-000001] Last game allyTeam count: 3, This game allyTeam count: 3
    [f=-000001] Loaded API widget:  Cluster Detection   <api_cluster_detection.lua>
    [f=-000001] Loaded API widget:  Shared Functions    <api_shared_functions.lua>
    [f=-000001] Loaded API widget:  i18n                <api_i18n.lua>
    [f=-000001] Loaded API widget:  Startbox API        <api_startboxes.lua>
    [f=-000001] [Modular Comm Info] Warning: Modular Comms API warning: Comm data entry in modoption is empty or in invalid format
    [f=-000001] [Modular Comm Info] Warning: Modular Comms API warning: Comm data entry for player Player is empty or in invalid format
    [f=-000001] Loaded API widget:  Modular Comm Info   <api_modularcomms.lua>
    [f=-000001] Loaded API widget:  CommandInsert       <cmd_commandinsert.lua>
    [f=-000001] Loaded API widget:  Lag (AFK) monitor   <api_lag_monitor.lua>
    [f=-000001] Loaded API widget:  Lups                <lups_wrapper.lua>
    [f=-000001] Loaded API widget:  Pre-Selection Handler  <api_preselection.lua>
    [f=-000001] Loaded API widget:  Chili Framework     <api_chili.lua>
    [f=-000001] Loaded widget:  Chili Highlight     <gui_chili_highlight.lua>
    [f=-000001] Loaded widget:  Custom Markers      <gui_custom_markers.lua>
    [f=-000001] Loaded widget:  Deferred rendering  <gfx_deferred_rendering.lua>
    [f=-000001] Hardware mouse-cursor is enabled!
    [f=-000001] Set "shadows" config-parameter to 1
    [f=-000001] Ground-decals rendering is enabled!
    [f=-000001] Set maximum particles to: 20000
    [f=-000001] Set UnitLodDist to 9999
    [f=-000001] Set UnitIconDist to 151
    [f=-000001] model shaders is enabled!
    [f=-000001] SetLobbyButtonEnabled, false
    [f=-000001] Loaded widget:  EPIC Menu           <gui_epicmenu.lua>
    [f=-000001] Loaded widget:  Custom Cursor Sets  <gui_customcursorsets.lua>
    [f=-000001] Loaded widget:  Chili Minimap       <gui_chili_minimap.lua>
    [f=-000001] Loaded widget:  Chili Widget Selector  <api_chili_widgetselector.lua>
    [f=-000001] Mexspot Fetcher fetching
    [f=-000001] Loaded widget:  Mexspot Fetcher     <api_mexspot_fetcher.lua>
    [f=-000001] Loaded widget:  Local Team Colors   <gui_local_colors.lua>
    [f=-000001] Loaded widget:  Save Game Menu      <gui_savegame.lua>
    [f=-000001] Loaded widget:  Specific Unit Reclaimer  <unit_unit_reclaimer.lua>
    [f=-000001] Loaded widget:  Area-reclaim trees  <unit_tree_reclaim.lua>
    [f=-000001] Loaded widget:  HealthBars          <unit_healthbars.lua>
    [f=-000001] Loaded widget:  Noises              <snd_noises.lua>
    [f=-000001] Loaded widget:  Unit Icons          <unit_icons.lua>
    [f=-000001] Loaded widget:  Chili Commander Upgrade  <gui_chili_commander_upgrade.lua>
    [f=-000001] Loaded widget:  Chili Vote Display  <gui_chili_vote.lua>
    [f=-000001] Loaded widget:  Auto Patrol Nanos   <unit_auto_patrol_nanos.lua>
    [f=-000001] Loaded widget:  BuildETA            <gui_build_eta.lua>
    [f=-000001] Loaded widget:  Cloak Fire State 2  <unit_cloakfirestate2.lua>
    [f=-000001] Loaded widget:  Depth of Field Shader  <gfx_dof.lua>
    [f=-000001] Loaded widget:  EndGame Stats       <gui_chili_endgraph.lua>
    [f=-000001] Loaded widget:  Objectives          <mission_objectives.lua>
    [f=-000001] Loaded widget:  Win Counter         <win_counter.lua>
    [f=-000001] Loaded widget:  Initial Queue ZK    <unit_initial_queue.lua>
    [f=-000001] Loaded widget:  Unit Marker Zero-K  <unit_marker.lua>
    [f=-000001] Loaded widget:  Antinuke Coverage   <gui_antinuke_coverage.lua>
    [f=-000001] Loaded widget:  Area Attack Tweak   <cmd_area_attack_tweak.lua>
    [f=-000001] Loaded widget:  Autoquit            <autoquit.lua>
    [f=-000001] Loaded widget:  Attack Warning      <unit_attack_warning.lua>
    [f=-000001] Loaded widget:  Blast Radius        <gui_blastradius.lua>
    [f=-000001] Loaded widget:  CameraShake         <camera_shake.lua>
    [f=-000001] Loaded widget:  Chili Inactivity Win  <gui_chili_inactivity_win.lua>
    [f=-000001] Loaded widget:  Constructor Auto Assist  <unit_factory_guard.lua>
    [f=-000001] Loaded widget:  Auto First Build Facing  <init_autofirstbuildfacing.lua>
    [f=-000001] Loaded widget:  Darkening           <gui_darkening.lua>
    [f=-000001] Loaded widget:  Decloak Range       <unit_decloak_range.lua>
    [f=-000001] Loaded widget:  Chili Economy Panel Default  <gui_chili_economy_panel2.lua>
    [f=-000001] Loaded widget:  Decoration Handler  <unit_decoration_handler.lua>
    [f=-000001] Loaded widget:  Auto Group          <unit_auto_group.lua>
    [f=-000001] Loaded widget:  Chili EndGame Window  <gui_chili_endgamewindow.lua>
    [f=-000001] Loaded widget:  Defense Range Zero-K  <gui_defenserange.lua>
    [f=-000001] Loaded widget:  Draw Mouse Build    <api_draw_mouse_build.lua>
    [f=-000001] Loaded widget:  Chili Nuke Warning  <gui_chili_nuke_warning.lua>
    [f=-000001] Loaded widget:  Economic Victory Announcer  <gui_economic_victory_announcer.lua>
    [f=-000001] Loaded widget:  Chili Rejoining Progress Bar  <gui_chili_rejoin_progress.lua>
    [f=-000001] Loaded widget:  Ferry Points        <cmd_ferry_points.lua>
    [f=-000001] Loaded widget:  Chili Selections & CursorTip  <gui_chili_selections_and_cursortip.lua>
    [f=-000001] Input grabbing is enabled!
    [f=-000001] Loaded widget:  Grab Input          <api_grabinput.lua>
    [f=-000001] Loaded widget:  Chili Spectator Panels  <gui_chili_spectator_panels.lua>
    [f=-000001] Loaded widget:  Haven Handler       <gui_havens.lua>
    [f=-000001] Loaded widget:  Highlight Geos      <gui_highlight_geos.lua>
    [f=-000001] Loaded widget:  Context Menu        <gui_contextmenu.lua>
    [f=-000001] Loaded widget:  In-game Guide       <gui_ingame_guide.lua>
    [f=-000001] Loaded widget:  In-game Ignore      <ignore.lua>
    [f=-000001] Loaded widget:  Keep Target         <cmd_keep_target.lua>
    [f=-000001] Loaded widget:  MetalFeatures       <gui_metal_features.lua>
    [f=-000001] Loaded widget:  Mex Placement Handler  <cmd_mex_placement.lua>
    [f=-000001] Loaded widget:  MinimapEvents       <minimap_events.lua>
    [f=-000001] Loaded widget:  Missile Silo Range  <missilesilo_range.lua>
    [f=-000001] Loaded widget:  Mission Results Handler  <mission_results.lua>
    [f=-000001] Loaded widget:  Morph Finished notification  <unit_morph_finished.lua>
    [f=-000001] Loaded widget:  Orbit Command       <cmd_orbit.lua>
    [f=-000001] Loaded widget:  Persistent Build Spacing  <gui_persistent_build_spacing.lua>
    [f=-000001] Loaded widget:  Point Tracker       <gui_point_tracker.lua>
    [f=-000001] Loaded widget:  Projectile Lights   <gfx_projectile_lights.lua>
    [f=-000001] Loaded widget:  Local Widgets Config  <localwidgets.lua>
    [f=-000001] Loaded widget:  NoDuplicateOrders   <cmd_no_duplicate_orders.lua>
    [f=-000001] Loaded widget:  ReclaimInfo         <gui_reclaiminfo.lua>
    [f=-000001] Loaded widget:  Set Springsettings  <api_set_springsettings.lua>
    [f=-000001] Loaded widget:  Show All Commands v2  <unit_showallcommands_2.lua>
    [f=-000001] Loaded widget:  Showeco and Grid Drawer  <gui_showeco_action.lua>
    [f=-000001] Loaded widget:  SmoothCam           <camera_smoothcam.lua>
    [f=-000001] Loaded widget:  Spectate Selected Team  <gui_spectate_selected_team.lua>
    [f=-000001] Loaded widget:  State Reverse Toggle  <cmd_state_reverse_toggle.lua>
    [f=-000001] Loaded widget:  Stereo3D            <gfx_stereo3d.lua>
    [f=-000001] Loaded widget:  Transport Load Double Tap  <cmd_select_load.lua>
    [f=-000001] Loaded widget:  Voice Assistant     <unit_voice.lua>
    [f=-000001] Loaded widget:  cheat               <cheat.lua>
    [f=-000001] Loaded widget:  Chili Global Commands  <gui_chili_global_commands.lua>
    [f=-000001] Loaded widget:  Ghost Site          <unit_ghostsite.lua>
    [f=-000001] Loaded widget:  Stockpiler          <unit_stockpile.lua>
    [f=-000001] Loaded widget:  Comm-n-Elo Startpos. Info  <init_startpointelocom_info.lua>
    [f=-000001] Loaded widget:  Startup Info and Selector  <init_startup_info_selector.lua>
    [f=-000001] Loaded widget:  Transport AI        <unit_transport_ai.lua>
    [f=-000001] Loaded widget:  Smart Bombers       <unit_smart_bombers.lua>
    [f=-000001] Loaded widget:  Start Point Remover & Comm Selector  <init_start_point_remover.lua>
    [f=-000001] Loaded widget:  Frame Gap Logger    <dbg_frame_gap_logger.lua>
    [f=-000001] Loaded widget:  Attack AoE          <gui_attack_aoe.lua>
    [f=-000001] Loaded widget:  Icon Sets           <gui_icon_sets.lua>
    [f=-000001] Loaded widget:  Recorder (Save)     <dbg_recorder_save.lua>
    [f=-000001] Loaded widget:  Unit Start State    <unit_start_state.lua>
    [f=-000001] Loaded widget:  UnitNoStuckInFactory  <unit_nostuck_infactory.lua>
    [f=-000001] Loaded widget:  Chili Custom Modoptions Info  <gui_custommodoptions_info.lua>
    [f=-000001] Loaded widget:  PlanetWars Info     <gui_planetwars_info.lua>
    [f=-000001] <Replay control buttons> Live mode. Widget removed.
    [f=-000001] Loaded widget:  Replay control buttons  <gui_replay_controls.lua>
    [f=-000001] Loaded widget:  Commands FX         <gfx_commands_fx.lua>
    [f=-000001] Loaded widget:  MessageBoxes ZK     <mission_messagebox_zk.lua>
    [f=-000001] Loaded widget:  UnitShapes          <unit_shapes.lua>
    [f=-000001] Loaded widget:  Map Edge Extension  <map_edge_extension.lua>
    [f=-000001] Loaded widget:  AllyCursors         <gui_ally_cursors.lua>
    [f=-000001] Loaded widget:  Bounty & Marketplace Icons (experimental)  <unit_bounty_marketplace_icons.lua>
    [f=-000001] Loaded widget:  Gadget Icons        <api_gadget_icons.lua>
    [f=-000001] Loaded widget:  Rank Icons 2        <unit_rank_icons.lua>
    [f=-000001] Loaded widget:  Selection Send      <api_selectionsend.lua>
    [f=-000001] Loaded widget:  Shield Guard        <unit_shield_guard.lua>
    [f=-000001] Loaded widget:  State Icons         <unit_state_icons.lua>
    [f=-000001] Loaded widget:  Building Starter    <unit_building_starter.lua>
    [f=-000001] Loaded widget:  Cloaker Guard       <unit_cloaker_guard.lua>
    [f=-000001] Loaded widget:  LupsManager         <gfx_lups_manager.lua>
    [f=-000001] Loaded widget:  Units on Fire       <gfx_lups_units_on_fire.lua>
    [f=-000001] Loaded widget:  Newton Firezone     <cmd_newton_firezone.lua>
    [f=-000001] Loaded widget:  Vertical Line on Radar Dots v2  <gui_vertlineaid.lua>
    [f=-000001] Loaded widget:  Receive Units Indicator  <gui_recv_indicator.lua>
    [f=-000001] Loaded widget:  Auto-toggle false color vision  <gui_auto_engine_falsecolor.lua>
    [f=-000001] Loaded widget:  Chili Crude Player List  <gui_chili_crudeplayerlist.lua>
    [f=-000001] Loaded widget:  Chili Docking       <api_chili_docking.lua>
    [f=-000001] Loaded widget:  Chili Pro Console   <gui_chili_proconsole_test.lua>
    [f=-000001] Loaded widget:  HUD Presets         <gui_hud_presets.lua>
    [f=-000001] Loaded widget:  Image Preloader     <dbg_img_preload.lua>
    [f=-000001] Loaded widget:  Chili Core Selector  <gui_chili_core_selector.lua>
    [f=-000001] Loaded widget:  Default Group Recall Fix  <gui_group_recall_fix.lua>
    [f=-000001] Loaded widget:  Select Keys         <gui_selectkeys.lua>
    [f=-000001] Loaded widget:  Start Boxes         <minimap_startbox_new.lua>
    [f=-000001] Loaded widget:  Pause Screen        <gui_pausescreen.lua>
    [f=-000001] Loaded widget:  Restricted Zones    <gui_restrictedzones.lua>
    [f=-000001] [Share menu] Unbinding sharedialog hotkey. Key is bound to: h
    [f=-000001] Loaded widget:  Chili Share menu v1.21  <gui_chili_share.lua>
    [f=-000001] Loaded widget:  Jumpjet GUI         <gui_jumpjets.lua>
    [f=-000001] Loaded widget:  CustomFormations2   <cmd_customformations2.lua>
    [f=-000001] SetSunLighting
    [f=-000001] Loaded widget:  Sun and Atmosphere Handler.  <gfx_sun_and_atmosphere.lua>
    [f=-000001] Loaded widget:  Lasso Terraform GUI  <gui_lasso_terraform.lua>
    [f=-000001] Loaded widget:  Layout Handler      <cmd_layout_handler.lua>
    [f=-000001] Loaded widget:  Persistent Build Height  <gui_persistent_build_height.lua>
    [f=-000001] Loaded widget:  Text To Speech Control  <snd_text_to_speech.lua>
    [f=-000001] Loaded widget:  Chili Integral Menu  <gui_chili_integral_menu.lua>
    [f=-000001] Removed 'GC at >100MB': disabled.
    [f=-000001] Loaded widget:  GC at >300MB        <dbg_forcegc_spring97.lua>
    [f=-000001] Writing last game win data
    [f=-000001] LuaUI v0.3
    [f=-000001] [Game::LoadGame][5]
    [f=-000001] [LoadFinalize] finalizing PFS
    [f=-000001] [Path] [PathEstimator::Hash] mapChecksum=3821837473
    [f=-000001] [Path] [PathEstimator::Hash] typeMapChecksum=360001025
    [f=-000001] [Path] [PathEstimator::Hash] moveDefChecksum=4135134697
    [f=-000001] [Path] [PathEstimator::Hash] blockingChecksum=4037171156
    [f=-000001] [Path] [PathEstimator::Hash] BLOCK_SIZE=16
    [f=-000001] [Path] [PathEstimator::Hash] PATHESTIMATOR_VERSION=82
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=3764209857
    [f=-000001] PathCosts: creating PE16 cache with 12 PF threads (123 MB)
    [f=-000001] PathCosts: precached 3 of 4096 blocks
    [f=-000001] PathCosts: precached 263 of 4096 blocks
    [f=-000001] PathCosts: precached 528 of 4096 blocks
    [f=-000001] PathCosts: precached 793 of 4096 blocks
    [f=-000001] PathCosts: precached 1056 of 4096 blocks
    [f=-000001] PathCosts: precached 1322 of 4096 blocks
    [f=-000001] PathCosts: precached 1579 of 4096 blocks
    [f=-000001] PathCosts: precached 1843 of 4096 blocks
    [f=-000001] PathCosts: precached 2099 of 4096 blocks
    [f=-000001] PathCosts: precached 2374 of 4096 blocks
    [f=-000001] PathCosts: precached 2635 of 4096 blocks
    [f=-000001] PathCosts: precached 2897 of 4096 blocks
    [f=-000001] PathCosts: precached 3162 of 4096 blocks
    [f=-000001] PathCosts: precached 3431 of 4096 blocks
    [f=-000001] PathCosts: precached 3688 of 4096 blocks
    [f=-000001] PathCosts: precached 3944 of 4096 blocks
    [f=-000001] PathCosts: writing
    [f=-000001] [Path] [PathEstimator::Hash] mapChecksum=3821837473
    [f=-000001] [Path] [PathEstimator::Hash] typeMapChecksum=360001025
    [f=-000001] [Path] [PathEstimator::Hash] moveDefChecksum=4135134697
    [f=-000001] [Path] [PathEstimator::Hash] blockingChecksum=4037171156
    [f=-000001] [Path] [PathEstimator::Hash] BLOCK_SIZE=16
    [f=-000001] [Path] [PathEstimator::Hash] PATHESTIMATOR_VERSION=82
    [f=-000001] [Path] [PathEstimator::WriteFile] hash=3764209857
    [f=-000001] PathCosts: written
    [f=-000001] [Path] [PathEstimator::Hash] mapChecksum=3821837473
    [f=-000001] [Path] [PathEstimator::Hash] typeMapChecksum=360001025
    [f=-000001] [Path] [PathEstimator::Hash] moveDefChecksum=4135134697
    [f=-000001] [Path] [PathEstimator::Hash] blockingChecksum=4037171156
    [f=-000001] [Path] [PathEstimator::Hash] BLOCK_SIZE=32
    [f=-000001] [Path] [PathEstimator::Hash] PATHESTIMATOR_VERSION=82
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=3764209873
    [f=-000001] PathCosts: creating PE32 cache with 12 PF threads (19 MB)
    [f=-000001] PathCosts: precached 8 of 1024 blocks
    [f=-000001] PathCosts: precached 76 of 1024 blocks
    [f=-000001] PathCosts: precached 142 of 1024 blocks
    [f=-000001] PathCosts: precached 221 of 1024 blocks
    [f=-000001] PathCosts: precached 285 of 1024 blocks
    [f=-000001] PathCosts: precached 354 of 1024 blocks
    [f=-000001] PathCosts: precached 418 of 1024 blocks
    [f=-000001] PathCosts: precached 487 of 1024 blocks
    [f=-000001] PathCosts: precached 558 of 1024 blocks
    [f=-000001] PathCosts: precached 628 of 1024 blocks
    [f=-000001] PathCosts: precached 702 of 1024 blocks
    [f=-000001] PathCosts: precached 774 of 1024 blocks
    [f=-000001] PathCosts: precached 856 of 1024 blocks
    [f=-000001] PathCosts: precached 927 of 1024 blocks
    [f=-000001] PathCosts: precached 1005 of 1024 blocks
    [f=-000001] PathCosts: writing
    [f=-000001] [Path] [PathEstimator::Hash] mapChecksum=3821837473
    [f=-000001] [Path] [PathEstimator::Hash] typeMapChecksum=360001025
    [f=-000001] [Path] [PathEstimator::Hash] moveDefChecksum=4135134697
    [f=-000001] [Path] [PathEstimator::Hash] blockingChecksum=4037171156
    [f=-000001] [Path] [PathEstimator::Hash] BLOCK_SIZE=32
    [f=-000001] [Path] [PathEstimator::Hash] PATHESTIMATOR_VERSION=82
    [f=-000001] [Path] [PathEstimator::WriteFile] hash=3764209873
    [f=-000001] PathCosts: written
    [f=-000001] [LoadFinalize] finalized PFS (1950ms, checksum e84e88a9)
    [f=-000001] Loading Skirmish AIs
    [f=-000001] [WatchDog::DeregisterThread] deregistering controls for thread [load]
    [f=-000001] Input grabbing is enabled!
    [f=-000001] Mex Placement Initialised with 68 spots.
    [f=-000001] SetLobbyButtonEnabled, false
    [f=-000001] UpdateInterfacePreset, minimapRight
    [f=-000001] GameID: 1ed8925888eeafc23217ad817f6f0d53
    [f=-000001] Connection attempt from Player
    [f=-000001]  -> Version: 103.0.1-566-g670e0d4 develop
    [f=-000001] Epicmenu: Switching to Total Annihilation camera mode
    [f=-000001]  -> Connection established (given id 0)
    [f=-000001] Skirmish AI "NullAI (1)" (ID:0, Short-Name:"NullAI", Version:"") took over control of team 1
    [f=-000001] Player Player finished loading and is now ingame
    [f=-000001] <Player> Allies: I choose: Engineer Trainer!
    [f=0000056] Player paused the game
    [f=0000056] Player unpaused the game
    [f=0000100] Error: Spring 103.0.1-566-g670e0d4 develop has crashed.
    [f=0000100] Error: DLL information:
    [f=0000100] Error: 0x00400000	spring
    [f=0000100] Error: 0x777c0000	ntdll
    [f=0000100] Error: 0x74280000	KERNEL32
    [f=0000100] Error: 0x75290000	KERNELBASE
    [f=0000100] Error: 0x70ca0000	avghookx
    [f=0000100] Error: 0x75d70000	ADVAPI32
    [f=0000100] Error: 0x74690000	msvcrt
    [f=0000100] Error: 0x75df0000	sechost
    [f=0000100] Error: 0x77280000	RPCRT4
    [f=0000100] Error: 0x74260000	SspiCli
    [f=0000100] Error: 0x74250000	CRYPTBASE
    [f=0000100] Error: 0x758e0000	bcryptPrimitives
    [f=0000100] Error: 0x75d50000	IMAGEHLP
    [f=0000100] Error: 0x750f0000	ucrtbase
    [f=0000100] Error: 0x75e90000	SHELL32
    [f=0000100] Error: 0x758a0000	cfgmgr32
    [f=0000100] Error: 0x74a70000	windows.storage
    [f=0000100] Error: 0x75670000	combase
    [f=0000100] Error: 0x74810000	powrprof
    [f=0000100] Error: 0x75e40000	shlwapi
    [f=0000100] Error: 0x747e0000	GDI32
    [f=0000100] Error: 0x74530000	gdi32full
    [f=0000100] Error: 0x74360000	USER32
    [f=0000100] Error: 0x751f0000	win32u
    [f=0000100] Error: 0x75bb0000	kernel.appcore
    [f=0000100] Error: 0x75050000	shcore
    [f=0000100] Error: 0x75890000	profapi
    [f=0000100] Error: 0x75940000	WS2_32
    [f=0000100] Error: 0x6aab0000	GLU32
    [f=0000100] Error: 0x58fd0000	OPENGL32
    [f=0000100] Error: 0x10000000	DevIL
    [f=0000100] Error: 0x6b800000	OpenAL32
    [f=0000100] Error: 0x75440000	ole32
    [f=0000100] Error: 0x70780000	vorbisfile
    [f=0000100] Error: 0x62e80000	zlib1
    [f=0000100] Error: 0x70e40000	libfreetype-6
    [f=0000100] Error: 0x65180000	libfontconfig-1
    [f=0000100] Error: 0x62aa0000	glew32
    [f=0000100] Error: 0x6c740000	SDL2
    [f=0000100] Error: 0x75b30000	IMM32
    [f=0000100] Error: 0x74860000	OLEAUT32
    [f=0000100] Error: 0x75210000	msvcp_win
    [f=0000100] Error: 0x58ea0000	DDRAW
    [f=0000100] Error: 0x5b8d0000	MSVCP80
    [f=0000100] Error: 0x6fe90000	MSVCR80
    [f=0000100] Error: 0x69900000	WINMM
    [f=0000100] Error: 0x68140000	ogg
    [f=0000100] Error: 0x64cc0000	vorbis
    [f=0000100] Error: 0x68f40000	libexpat-1
    [f=0000100] Error: 0x741b0000	VERSION
    [f=0000100] Error: 0x6aa30000	DCIMAN32
    [f=0000100] Error: 0x698a0000	WINMMBASE
    [f=0000100] Error: 0x58b10000	nvapi
    [f=0000100] Error: 0x77350000	SETUPAPI
    [f=0000100] Error: 0x620b0000	dxgi
    [f=0000100] Error: 0x70dc0000	uxtheme
    [f=0000100] Error: 0x75530000	MSCTF
    [f=0000100] Error: 0x6a4e0000	dwmapi
    [f=0000100] Error: 0x04ac0000	nvoglv32
    [f=0000100] Error: 0x6b6f0000	WTSAPI32
    [f=0000100] Error: 0x71900000	DEVOBJ
    [f=0000100] Error: 0x75b60000	WINTRUST
    [f=0000100] Error: 0x750e0000	MSASN1
    [f=0000100] Error: 0x759b0000	CRYPT32
    [f=0000100] Error: 0x698d0000	ntmarta
    [f=0000100] Error: 0x68fd0000	WINSTA
    [f=0000100] Error: 0x74750000	clbcatq
    [f=0000100] Error: 0x741c0000	shfolder
    [f=0000100] Error: 0x5b690000	MMDevApi
    [f=0000100] Error: 0x651f0000	PROPSYS
    [f=0000100] Error: 0x56dc0000	dsound
    [f=0000100] Error: 0x5b610000	AUDIOSES
    [f=0000100] Error: 0x5b540000	wintypes
    [f=0000100] Error: 0x56d80000	dinput8
    [f=0000100] Error: 0x6a520000	HID
    [f=0000100] Error: 0x69d80000	XInput1_4
    [f=0000100] Error: 0x719a0000	mswsock
    [f=0000100] Error: 0x0e110000	napinsp
    [f=0000100] Error: 0x62500000	pnrpnsp
    [f=0000100] Error: 0x624e0000	NLAapi
    [f=0000100] Error: 0x70ed0000	DNSAPI
    [f=0000100] Error: 0x77270000	NSI
    [f=0000100] Error: 0x0e130000	IPHLPAPI
    [f=0000100] Error: 0x0bd90000	winrnr
    [f=0000100] Error: 0x0e160000	fwpuclnt
    [f=0000100] Error: 0x72610000	bcrypt
    [f=0000100] Error: 0x0e1b0000	rasadhlp
    [f=0000100] Error: 0x62b40000	AIInterface
    [f=0000100] Error: 0x6e340000	SkirmishAI
    [f=0000100] Error: 0x69c10000	dbghelp
    [f=0000100] Error: Exception: Access violation (0xc0000005)
    [f=0000100] Error: Exception Address: 0x777e6dc9
    [f=0000100] Error: Stacktrace for Spring 103.0.1-566-g670e0d4 develop:
    [f=0000100] Error: (0) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00026DC9]
    [f=0000100] Error: (1) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00040045]
    [f=0000100] Error: (2) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0003FF65]
    [f=0000100] Error: (3) C:\WINDOWS\WinSxS\x86_microsoft.vc80.crt_1fc8b3b9a1e18e3b_8.0.50727.9268_none_d08e1538442a243e\MSVCR80.dll [0x0000E550]
    [f=0000100] Error: (4) C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\DevIL.dll [0x000571C8]
    [f=0000100] Error: (5) C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\spring.exe [0x007A188C]
    [f=0000100] Error: (6) C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\spring.exe [0x00D4A2AB]
    [f=0000100] Error: (7) C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\spring.exe [0x00D2C30C]
    [f=0000100] Error: (8) C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\spring.exe [0x007A218F]
    [f=0000100] Error: (9) C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\spring.exe [0x007A3780]
    [f=0000100] Error: (10) C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\spring.exe [0x004D933F]
    [f=0000100] Error: (11) C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\spring.exe [0x00430E19]
    [f=0000100] Error: (12) C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\spring.exe [0x004322B3]
    [f=0000100] Error: (13) C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\spring.exe [0x008501B1]
    [f=0000100] Error: (14) C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\spring.exe [0x00D4A7C6]
    [f=0000100] Error: (15) C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\spring.exe [0x00D0CFE8]
    [f=0000100] Error: (16) C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\spring.exe [0x00851F06]
    [f=0000100] Error: (17) C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\spring.exe [0x00835FCF]
    [f=0000100] Error: (18) C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\spring.exe [0x00E55774]
    [f=0000100] Error: (19) C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\engine\103.0.1-566-g670e0d4\spring.exe [0x00401402]
    [f=0000100] Error: (20) C:\WINDOWS\System32\KERNEL32.DLL [0x000162C4]
    [f=0000100] Error: (21) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00060FD9]
    [f=0000100] Error: (22) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00060FA4]
    [f=0000100] Error: [ErrorMessageBox][1] msg="Spring has crashed:
      Access violation.
    
    A stacktrace has been written to:
      C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\infolog.txt" IsMainThread()=1 fromMain=0
    [f=0000100] Error: [ErrorMessageBox][2]
    [f=0000100] [SpringApp::ShutDown][1]
    [f=0000100] [ThreadPool::SetThreadCount][1] wanted=0 current=1 maximum=6
    [f=0000100] 	[async=0] threads=1 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [f=0000100] 	[async=1] threads=1 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [f=0000100] [ThreadPool::SetThreadCount][2] workers=0
    [f=0000100] [SpringApp::ShutDown][2]
    [f=0000100] [Game::KillLua][1] luaGaia=00000000
    [f=0000100] [Game::KillLua][2] luaRules=1cb05028
    [f=0000100] Start gadgetHandler:Shutdown
    [f=0000100] Shutdown - UnitMorph
    [f=0000100] Shutdown - LupsNanoSpray
    [f=0000100] Shutdown - Modular Comm Info
    [f=0000100] Shutdown - Puppy Handler
    [f=0000100] Shutdown - StartSetup
    [f=0000100] Shutdown - Terrain Texture Handler
    [f=0000100] Shutdown - UnitCloakShield
    [f=0000100] End gadgetHandler:Shutdown
    [f=0000100] Start gadgetHandler:Shutdown
    [f=0000100] Shutdown - UnitMorph
    [f=0000100] Shutdown - Modular Comm Info
    [f=0000100] Shutdown - Shockwaves
    [f=0000100] Shutdown - UnitCloakShield
    [f=0000100] Shutdown - Lups Cloak FX
    [f=0000100] Shutdown - Lups
    [f=0000100] End gadgetHandler:Shutdown
    [f=0000100] [Game::KillLua][3] luaUI=283d18d8
    [f=0000100] Start widgetHandler:Shutdown
    [f=0000100] Shutdown - SaveOrderList Complete
    [f=0000100] Writing last game win data
    [f=0000100] Shutdown - SaveConfigData Complete
    [f=0000100] Shutdown Widget - Chili Highlight
    [f=0000100] Shutdown Widget - Custom Markers
    [f=0000100] Shutdown Widget - Deferred rendering
    [f=0000100] Shutdown Widget - EPIC Menu
    [f=0000100] Shutdown Widget - Chili Minimap
    [f=0000100] Shutdown Widget - Chili Widget Selector
    [f=0000100] Shutdown Widget - Local Team Colors
    [f=0000100] Shutdown Widget - Save Game Menu
    [f=0000100] Shutdown Widget - HealthBars
    [f=0000100] Shutdown Widget - Noises
    [f=0000100] Shutdown Widget - Unit Icons
    [f=0000100] Shutdown Widget - BuildETA
    [f=0000100] Shutdown Widget - Depth of Field Shader
    [f=0000100] Shutdown Widget - Win Counter
    [f=0000100] Shutdown Widget - Modular Comm Info
    [f=0000100] Shutdown Widget - Attack Warning
    [f=0000100] Shutdown Widget - CameraShake
    [f=0000100] Shutdown Widget - Darkening
    [f=0000100] Shutdown Widget - Chili Economy Panel Default
    [f=0000100] Shutdown Widget - Chili EndGame Window
    [f=0000100] Shutdown Widget - Chili Nuke Warning
    [f=0000100] Shutdown Widget - Chili Selections & CursorTip
    [f=0000100] Shutdown Widget - Grab Input
    [f=0000100] Input grabbing is disabled!
    [f=0000100] Shutdown Widget - Chili Spectator Panels
    [f=0000100] Shutdown Widget - Highlight Geos
    [f=0000100] Shutdown Widget - Context Menu
    [f=0000100] Shutdown Widget - Mex Placement Handler
    [f=0000100] Shutdown Widget - MinimapEvents
    [f=0000100] Shutdown Widget - Missile Silo Range
    [f=0000100] Shutdown Widget - Morph Finished notification
    [f=0000100] Shutdown Widget - Point Tracker
    [f=0000100] Shutdown Widget - Local Widgets Config
    [f=0000100] Shutdown Widget - Showeco and Grid Drawer
    [f=0000100] Shutdown Widget - Stereo3D
    [f=0000100] Shutdown Widget - Startup Info and Selector
    [f=0000100] Shutdown Widget - Transport AI
    [f=0000100] Shutdown Widget - Attack AoE
    [f=0000100] Shutdown Widget - MessageBoxes ZK
    [f=0000100] Shutdown Widget - UnitShapes
    [f=0000100] Shutdown Widget - Map Edge Extension
    [f=0000100] Shutdown Widget - Selection Send
    [f=0000100] Shutdown Widget - LupsManager
    [f=0000100] Shutdown Widget - Units on Fire
    [f=0000100] Shutdown Widget - Newton Firezone
    [f=0000100] Shutdown Widget - Receive Units Indicator
    [f=0000100] Shutdown Widget - Chili Crude Player List
    [f=0000100] Shutdown Widget - Chili Pro Console
    [f=0000100] Shutdown Widget - Lups
    [f=0000100] Shutdown Widget - Chili Framework
    [f=0000100] Shutdown Widget - Chili Core Selector
    [f=0000100] Shutdown Widget - Pause Screen
    [f=0000100] Shutdown Widget - Lasso Terraform GUI
    [f=0000100] Shutdown Widget - Layout Handler
    [f=0000100] Shutdown Widget - Persistent Build Height
    [f=0000100] Shutdown Widget - Text To Speech Control
    [f=0000100] End widgetHandler:Shutdown
    [f=0000100] [Game::KillLua][4]
    [f=0000100] [WatchDog::DeregisterThread] deregistering controls for thread [audio]
    [f=0000100] [Sound] [Sound::UpdateThread][3] efx=0c3a14a8
    [f=0000100] [Sound] [Sound::UpdateThread][4]
    [f=0000100] [Game::~CGame][1]
    [f=0000100] [Game::KillLua][1] luaGaia=00000000
    [f=0000100] [Game::KillLua][2] luaRules=00000000
    [f=0000100] [Game::KillLua][3] luaUI=00000000
    [f=0000100] [Game::KillLua][4]
    [f=0000100] [Game::KillMisc][1]
    [f=0000100] [Game::KillMisc][2]
    [f=0000100] [Game::KillRendering][1]
    [f=0000100] Statistics for RectangleOptimizer: 0%
    [f=0000100] [Game::KillInterface][1]
    [f=0000100] [Game::KillInterface][2]
    [f=0000100] [Game::KillSimulation][1]
    [f=0000100] [Game::KillSimulation][2]
    [f=0000100] [CCollisionHandler] dis-/continuous tests: 0/93550
    [f=0000100] [Game::KillSimulation][3]
    [f=0000100] [~CPathCache(32x32)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000100] [~CPathCache(32x32)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000100] [~CPathCache(64x64)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000100] [~CPathCache(64x64)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000100] Statistics for RectangleOptimizer: 0%
    [f=0000100] Statistics for RectangleOptimizer: 0%
    [f=0000100] LosHandler stats: total instances=4; shared=0%; from cache=25%
    [f=0000100] [Game::KillSimulation][4]
    [f=0000100] [Game::~CGame][2]
    [f=0000100] [Game::~CGame][3]
    [f=0000100] SetLobbyFullscreenMode, 2
    [f=0000100] screenX, screenY, 1920, 1080
    [f=0000100] Chobby Shutdown
    [f=0000100] [SpringApp::ShutDown][3]
    [f=0000100] Statistics for local connection:
    Received: 1706 bytes
    Sent: 2293 bytes
    
    [f=0000100] Writing demo: C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\demos\20170202_175632_ScorpioBattleground_103.0.1-566-g670e0d4 develop.sdfz
    [f=0000100] [SpringApp::ShutDown][4]
    [f=0000100] [SpringApp::ShutDown][5]
    [f=0000100] [SpringApp::ShutDown][6]
    [f=0000100] [SpringApp::ShutDown][7]
    [LuaSocket] Dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [SpringApp::ShutDown][8]
    [WatchDog::DeregisterThread] deregistering controls for thread [main]
    [WatchDog::Uninstall][1] hangDetectorThread=00000000
    [SpringApp::ShutDown][9]
    Error: [ErrorMessageBox][3]
    Error: [ErrorMessageBox][4]
    Fatal: Spring: Unhandled exception
    Spring has crashed:
      Access violation.
    
    A stacktrace has been written to:
      C:\Users\Tim\Documents\My Games\Spring Dev\Chobby\Chobbyla\infolog.txt
    
    txt file icon infolog.txt (75,172 bytes) 2017-02-02 07:55 +
  • txt file icon infolog 103.0.1-568-g9fc2560 32bit intermittent screenshot.txt (849,926 bytes) 2017-02-03 03:56

-Relationships
+Relationships

-Notes

~0017168

abma (administrator)

https://github.com/spring/spring/tree/103.0.1-566-g670e0d4

??:0
??:0
??:0
??:0
??:0
rts/Rendering/Screenshot.cpp:61
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/future:1233
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/future:471
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/functional:601
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/shared_ptr_base.h:552
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/basic_string.h:539
rts/Game/IActionExecutor.h:108
rts/Game/Game.cpp:919
rts/System/SpringApp.cpp:1092
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/functional:601
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/functional:2469
rts/System/SpringApp.cpp:893
rts/System/Main.cpp:48
rts/System/Main.cpp:109
/opt/mxe/tmp-gcc/gcc-4.8.1/mirror-mingw-w64-c28722c/trunk/mingw-w64-crt/crt/crtexe.c:317
??:0
??:0

~0017170

Google_Frog (reporter)

Taking the screenshot results in an empty file with the correct name. The screenshot counter is incremented.

~0017175

Kloot (developer)

onto e74f4b614e then

~0017176

Google_Frog (reporter)

Win 32 can screenshot with 103.0.1-568-g9fc2560.

~0017178

Google_Frog (reporter)

It seems to be able to take screenshots intermittently.

~0017179

Google_Frog (reporter)

Sometimes there is 'error 0x50a' and no file is written.

~0017182

Kloot (developer)

14aa69c13f might have solved this, spamming F12 causes no issues for me.

~0017185

Google_Frog (reporter)

Win32 103.0.1-570-gcf3f016 seems to be able to consistently take screenshots.
+Notes

-Issue History
Date Modified Username Field Change
2017-02-02 07:55 Google_Frog New Issue
2017-02-02 07:55 Google_Frog File Added: infolog.txt
2017-02-02 10:52 abma Note Added: 0017168
2017-02-02 11:55 Google_Frog Note Added: 0017170
2017-02-02 16:55 Kloot Note Added: 0017175
2017-02-03 02:40 Google_Frog Note Added: 0017176
2017-02-03 03:55 Google_Frog Note Added: 0017178
2017-02-03 03:56 Google_Frog File Added: infolog 103.0.1-568-g9fc2560 32bit intermittent screenshot.txt
2017-02-03 03:56 Google_Frog Note Added: 0017179
2017-02-03 12:29 Kloot Note Added: 0017182
2017-02-04 04:04 abma Status new => feedback
2017-02-04 04:37 Google_Frog Note Added: 0017185
2017-02-04 04:37 Google_Frog Status feedback => new
2017-02-04 11:10 Kloot Assigned To => Kloot
2017-02-04 11:10 Kloot Status new => resolved
2017-02-04 11:10 Kloot Resolution open => fixed
2017-02-04 11:10 Kloot Fixed in Version => 103.0 +git
+Issue History